<%@ Page Title="Group infos" Language="C#" Theme="RDMS" MasterPageFile="~/LoggedSection.master"
    AutoEventWireup="true" CodeBehind="GroupInfos.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.GroupInfos" %>

<asp:Content runat="server" ContentPlaceHolderID="SectionImage">
    <asp:Image ID="imgSection" CssClass="imgSection" Width="130px" ImageUrl="~/Images/securityGroups_big.png" runat="server" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="SectionLeftMenu">
    <ul class="leftmenu">
    <li><asp:HyperLink ID="butAddGroupInfo" CssClass="manageGroups" title="Add Security Group" runat="server">Add Security Group</asp:HyperLink></li>
    <li><asp:HyperLink ID="EditSelectedRow" CssClass="disabled" Enabled="false" title="Edit selected security group" runat="server">Edit Security Group</asp:HyperLink></li>
    <li><asp:LinkButton ID="DeleteSelectedRow" OnClick="DeleteSelectedRow_OnClick" CssClass="disabled" Enabled="false" title="Delete selected security group" runat="server">Delete Security Group</asp:LinkButton></li>
    </ul>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="maincontent" runat="server">
    <div class="content">  
        <asp:GridView ID="gdvGroupInfos" SkinID="gridviewSkin" runat="server" AutoGenerateColumns="False"
                      DataKeyNames="ID, Name" DataSourceID="odsGetGroupInfos" OnSelectedIndexChanged="gdvGroupInfos_SelectedIndexChanged" EmptyDataText="<div class='noData'>No Security Group! </div>">
            <Columns>
                <asp:TemplateField HeaderText="" HeaderStyle-Width="5px">
                    <ItemTemplate>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="ID" HeaderText="ID" HeaderStyle-CssClass="hide" ItemStyle-CssClass="hide" />
                <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="odsGetGroupInfos" runat="server" SelectMethod="GetGroupInfos" TypeName="Devolutions.RemoteDesktopManager.Server.GroupManager">
            <SelectParameters>
                <asp:SessionParameter Name="dataSourceId" SessionField="DATASOURCE_ID" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </div>
</asp:Content>
